aboutsummaryrefslogtreecommitdiffstats
path: root/mcp
diff options
context:
space:
mode:
authorAlexandru Avadanii <Alexandru.Avadanii@enea.com>2018-08-20 00:11:02 +0200
committerAlexandru Avadanii <Alexandru.Avadanii@enea.com>2018-08-21 17:21:28 +0200
commit7bdedca0da908d4b42f17457f04ea87b69c480e3 (patch)
tree3f246559f892a410ab6de8e1c07a0dd12b00dda2 /mcp
parent2f4c3eca2cc08caa3560da153cf5ba6a2268c10e (diff)
[deploy.sh] Install Docker if not present
JIRA: FUEL-383 Change-Id: I19d27ca59a3f24d1bd66e39457a6ca267bccce19 Signed-off-by: Alexandru Avadanii <Alexandru.Avadanii@enea.com>
Diffstat (limited to 'mcp')
-rw-r--r--mcp/scripts/lib.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/mcp/scripts/lib.sh b/mcp/scripts/lib.sh
index c3a71a436..5f1275dc5 100644
--- a/mcp/scripts/lib.sh
+++ b/mcp/scripts/lib.sh
@@ -572,3 +572,14 @@ function get_nova_compute_pillar_data {
echo "${value}"
fi
}
+
+function docker_install {
+ # Mininum effort attempt at installing Docker if missing
+ if ! which docker; then
+ curl -fsSL https://get.docker.com -o get-docker.sh
+ sudo sh get-docker.sh
+ rm get-docker.sh
+ # On RHEL distros, the Docker service should be explicitly started
+ sudo systemctl start docker
+ fi
+}